#ifndef BUSDELAYMODEL_H_
#define BUSDELAYMODEL_H_

#include <vector>
#include "include/onchipcommunication/typedefs.h"
#include "quantities/onchipcommunication/Ports.h"
#include "quantities/onchipcommunication/NodeParameter.h"
#include "networks/onchipcommunication/Implementation.h"
#include "quantities/RealDelay.h"

namespace cosi
{

namespace models
{

namespace onchipcommunication
{

class BusDelayModel
{
public:

	BusDelayModel();

	virtual ~BusDelayModel();

	RealDelay Get(cosi::commstruct::onchipcommunication::Implementation pC);

	RealDelay Get(cosi::commstruct::onchipcommunication::Implementation* pC);

	double GetValue(cosi::commstruct::onchipcommunication::Implementation pC);

	double GetValue(cosi::commstruct::onchipcommunication::Implementation* pC);

};

}

}

}

#endif /*BUSDELAYMODEL_H_*/
